local D = {}

function D.getId ()
	return "provisioner"
end

function D.isAvailable ()
	return (Town.getCurrentTownIndex() + 1 == Towns.Reval and QuestManager.questCompleted({id="returnsafely"}))
end

function D.getName ()
	return DialogManager.translate("title", D.getId())
end

function D.getTopics ()
	local topics = {}
	table.insert(topics, "greet")
	return topics
end

function D.getTopicTitle (topicKey)
	return nil
end

-- Register globally
DialogManager.Dialogs[D.getId()] = D
